import { AbstractRouter } from "@golemio/core/dist/helpers/routing/AbstractRouter";
import { Router } from "@golemio/core/dist/shared/express";
export declare class V2PublicVehiclePositionsRouter extends AbstractRouter {
    router: Router;
    private cacheHeaderMiddleware;
    private compressionByDefaultMiddleware;
    private vehiclePositionsController;
    private redisSubscriber;
    constructor();
    protected initRoutes(): void;
}
declare const v2PublicVPRouter: AbstractRouter;
export { v2PublicVPRouter };
